# $Revision: 1.5 $, $Date: 2002/07/11 15:53:32 $
Summary:        Hide advertising banners
Summary(pl):    Ukryj paskudne i denerwujce bannery reklamowe
Name:           mozilla-addon-bannerblind
%define		_realname	bannerblind
Version:        1.0rc1
Release:        3
License:        GPL
Group:          X11/Applications/Networking
Source0:        http://downloads.mozdev.org/bannerblind/%{_realname}.xpi
Source1:        %{_realname}-installed-chrome.txt
URL:            http://bannerblind.mozdev.org/
BuildRequires:  unzip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:      %{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _chromedir      %{_libdir}/mozilla/chrome

%description
Plugin that hides advertising banners. It allows you to define your
own unwanted banner dimensions.

%description -l pl
Ukryj paskudne i denerwujce bannery reklamowe. Mona definiowa wasne
rozmiary banerw do ukrycia.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-bannerblind.spec,v $
Revision 1.5  2002/07/11 15:53:32  jojoro
- new version (author does not number it!). On author's site version is
  still 1.0rc1, but on window is 0.9.0.snapshot. I don't know what to do
  with this :(

Revision 1.4  2002/06/23 18:35:17  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.3  2002/06/23 15:14:11  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:38  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/20 19:55:24  jojoro
- initial release
- need testing!
